﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 Add'l Equipment Min Use Requirements
INSTRUMENT:            Sub Tek MDO4000 Check and Display Connection
DATE:                  2018-02-12 14:09:13
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23043 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       350
=============================================================================
#
#  Procedure Author(s):
#        CAD
#
#  Models Covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         MINIMUM_USE_REQUIREMENTS     PSUBI("Min Use Req")
  1.002  JMPL         CHECK_DISPLAY_CONNECTION     PSUBI("Display Connection")
  1.003  DISP         Called {Subprocedure Not Found}!
  1.004  END

  1.005  EVAL   Increment Test Number


# =====  Sub Tek MDO4000 Add'l Equipment Min Use Requirements  ==============

  2.001  LABEL        MINIMUM_USE_REQUIREMENTS

  2.002  HEAD         FLEXIBLE STANDARDS

  2.003  IF           ZCMPI(@SWPG_DevName, @HFSG_DevName)
  2.004  MATH         @Abort = 1
  2.005  DISP         You have configured a single instrument with both the
  2.005  DISP         SWPG and HFSG flexible driver aliases.  This procedure
  2.005  DISP         requires two physical generators for the Third Order
  2.005  DISP         Intermodulation test.
  2.005  DISP
  2.005  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  2.005  DISP
  2.005  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  2.005  DISP         [32]High Freq Sig Gen   HFSG   [V @HFSG_DevName]
  2.005  DISP
  2.005  DISP         Select "Advance" to abort procedure, configure suitable
  2.005  DISP         devices, then restart the procedure from the beginning.
  2.006  END
  2.007  ENDIF

  2.008  OPBR         -z Do you want to review the required flexible
  2.008  OPBR         standards?

  2.009  IF           NOT(ISVAR("@ScopeCal"))
  2.010  MATH         DMM_Required = 1
  2.011  ELSE
  2.012  MATH         DMM_Required = NOT(ZCMP(@ScopeCal, "Datron 9500"))
  2.013  ENDIF

  2.014  IF           DMM_Required

  2.015  IF           MEM1
  2.016  DISP         The specifications of the following
  2.016  DISP         flexible standards, must be adequate.
  2.016  DISP
  2.016  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  2.016  DISP
  2.016  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  2.016  DISP         [32]High Freq Sig Gen   HFSG   [V @HFSG_DevName]
  2.016  DISP         [32]Local Oscillator    LO     [V @LO_DevName]
  2.016  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]
  2.017  ENDIF

  2.018  ELSEIF       MEM1


  2.019  DISP         The specifications of the following
  2.019  DISP         flexible standards, must be aqeuate.
  2.019  DISP
  2.019  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  2.019  DISP
  2.019  DISP         [32]Sweep Generator     SWPG   [V @SWPG_DevName]
  2.019  DISP         [32]High Freq Sig Gen   HFSG   [V @HFSG_DevName]
  2.019  DISP         [32]Local Oscillator    LO     [V @LO_DevName]

  2.020  ENDIF

  2.021  OPBR         -z Do you want to review the flexible standards
  2.021  OPBR         specifications requirements?


  2.022  IF           MEM1

  2.023  HEAD         -2 (Synthesized) Sweep Generator (SWPG)
  2.024  OPBR         -z SWPG: [V @SWPG_DevName] Minimum Use
  2.024  OPBR         Specifications:
  2.024  OPBR
  2.024  OPBR         Frequency:
  2.024  OPBR         - Range:      50 kHz to [V @DUT_MaxFreq], CW
  2.024  OPBR         - Accuracy:   ± 5 ppm
  2.024  OPBR
  2.024  OPBR         Amplitude:
  2.024  OPBR         - Range:      -15 dBm to +10 dBm
  2.024  OPBR         - Resolution: 1 dB
  2.024  OPBR
  2.024  OPBR         Does the [V @SWPG_DevName] satisfy the above Minimum
  2.024  OPBR         Use Specifications?[NO]
  2.025  MATH         @Abort = NOT(MEM1)

  2.026  HEAD         -2 High Frequency Signal Generator (HFSG)
  2.027  OPBR         -z HFSG: [V @HFSG_DevName] Minimum Use
  2.027  OPBR         Specifications:
  2.027  OPBR
  2.027  OPBR         Frequency:
  2.027  OPBR         - Range:      2 GHz to [V @DUT_MaxFreq], CW
  2.027  OPBR         - Accuracy:   ±5 ppm
  2.027  OPBR
  2.027  OPBR         Amplitude:
  2.027  OPBR         - Range:      -2 dBm to 0 dBm
  2.027  OPBR         - Resolution: 1 dB
  2.027  OPBR
  2.027  OPBR         Does the [V @HFSG_DevName] satisfy the above Minimum
  2.027  OPBR         Use Specifications?[NO]
  2.028  MATH         @Abort = NOT(MEM1) || @Abort

  2.029  HEAD         -2 Local Oscillator (LO)
  2.030  OPBR         -z LO: [V @LO_DevName] Minimum Use
  2.030  OPBR         Specifications:
  2.030  OPBR
  2.030  OPBR         Frequency:
  2.030  OPBR         - Range:      2 GHz, CW
  2.030  OPBR         - Accuracy:   5 ppm
  2.030  OPBR
  2.030  OPBR         Amplitude:
  2.030  OPBR         - Range:      0 dBm
  2.030  OPBR         - Resolution: 1 dB
  2.030  OPBR
  2.030  OPBR         Single-Sideband Phase Noise:
  2.030  OPBR         -  10 kHz offset: < 90 dBc/Hz
  2.030  OPBR         - 100 kHz offset: < 95 dBc/Hz
  2.030  OPBR         -   1 MHz offset: < 113 dBc/Hz
  2.030  OPBR
  2.030  OPBR         Does the [V @LO_DevName] satisfy the above Minimum
  2.030  OPBR         Use Specifications?[NO]
  2.031  MATH         @Abort = NOT(MEM1) || @Abort

  2.032  IF           DMM_Required
  2.033  HEAD         -2 Digital Multimeter (DMM)
  2.034  OPBR         -z DMM: [V @DMM_DevName] Minimum Use
  2.034  OPBR         Specifications:
  2.034  OPBR
  2.034  OPBR         Resistance:
  2.034  OPBR         - Function:   4-Wire
  2.034  OPBR         - Range:      50 Ω to 1 MΩ
  2.034  OPBR         - Accuracy:   0.25% of reading
  2.034  OPBR
  2.034  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  2.034  OPBR         Use Specifications?[NO]
  2.035  MATH         @Abort = NOT(MEM1) || @Abort
  2.036  ENDIF

  2.037  HEAD         -2

  2.038  IF           @Abort
  2.039  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  2.040  DISP         Flexible Standard(s) currently configured for use with
  2.040  DISP         this procedure have been identified as not satisfying
  2.040  DISP         the Minimum Use Specifications.
  2.040  DISP
  2.040  DISP         Select "Advance" to abort procedure, configure suitable
  2.040  DISP         devices, then restart the procedure from the beginning.
  2.041  END
  2.042  ENDIF
  2.043  ENDIF

  2.044  OPBR         -z Do you want to review the list of additional
  2.044  OPBR         equipment and/or accessories required?

  2.045  IF           MEM1
  2.046  HEAD         ADDITIONAL EQUIPMENT/ACCESSORIES REQUIRED
  2.047  HEAD         -2 Power Splitter
  2.048  DISP         Additional equipment required (no substitute):
  2.048  DISP
  2.048  DISP         Power Splitter (Agilent 11667A):
  2.048  DISP
  2.048  DISP         Frequency Range: DC to [V @DUT_MaxFreq]
  2.048  DISP         Impedance:       50 Ω
  2.048  DISP
  2.048  DISP         Equivalent Output SWR:
  2.048  DISP         - 10.0 MHz to 3.6 GHz: < 1.10
  2.048  DISP         -  3.6 GHz to 6.0 GHz: < 1.30
  2.048  DISP
  2.048  DISP         Level Imbalance:
  2.048  DISP         - 10.0 MHz to 3.6 GHz: < 0.1 dB
  2.048  DISP         -  3.6 GHz to 6.0 GHz: < 0.3 dB

  2.049  HEAD         -2 Additional Equipment/Accessories
  2.050  DISP         Additional Equipment/Accessories Required
  2.050  DISP         (or equivalent):
  2.050  DISP
  2.050  DISP         Termination (Agilent 909D):
  2.050  DISP         - Frequency: 10 MHz to [V @DUT_MaxFreq]
  2.050  DISP         - Impedance: 50 Ω
  2.050  DISP         - Connector: Type N (m)
  2.050  DISP
  2.050  DISP         Adapters:
  2.050  DISP         - Type N (m)-(m), 50 Ω, DC to [V @DUT_MaxFreq]
  2.050  DISP         - BNC Tee (f)-(m)-(f), 50 Ω, 10 MHz
  2.050  DISP         - As required for the flexible standards used.
  2.050  DISP
  2.050  DISP         Cables:
  2.050  DISP         - Type N (m)-(m), 50 Ω, DC to [V @DUT_MaxFreq] (2 ea.)
  2.050  DISP         - BNC (m)-(m), 50 Ω, 10 MHz, 36" (3 ea.)
  2.050  DISP         - As required for the flexible standards used.
  2.051  ENDIF

  2.052  HEAD         -2
  2.053  HEAD
  2.054  END

  2.055  EVAL   Increment Test Number


# =====  Sub Tek MDO4000 Check and Display Connection  ======================
#
# The amount of time remaining until next operator intervention assumes that
# the main procedure is being executed end-to-end, in the original sequence,
# with NMEAS = 1.  The @Time global variable can be utilized to override or
# suppress the default connection messages provided by this sub.  By default,
# this sub only displays prompts when a connection change is required, and the
# procedure can run unattended for > 2 minutes.
#
# The @Connected variable stores the current connection state, and must be
# initialized by setting it to an empty string before calling this sub.
# This is typically done once, near the beginning of the main or calling
# procedure.  For example:
#
#        MATH         @Connected = ""
#
# Example subprocedure usage:
#
# 1.013  MATH         @Connection = "mdo4000_lo_direct"
# 1.014  MATH         @AlertMode  = "Beep"
# 1.015  CALL         Sub Tek MDO4000 Check and Display Connection
#
# 1.016  JMPL         CONTINUE
# 1.017  EVAL   Force connection message on Repeat/Cancel.
# 2.001  MATH         @Connected = ""; @Time = ""
# 2.002  CALL         Sub Tek MDO4000 Check and Display Connection
# 2.003  LABEL        CONTINUE

  3.001  LABEL        CHECK_DISPLAY_CONNECTION

  3.002  IF           NOT(ZCMPI(@Connected, @Connection))

  3.003  IF           ZCMPI(@AlertMode, "Beep")
  3.004  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  3.005  ENDIF

  3.006  HEAD         -2 Connection Instructions

  3.007  IF           ZCMPI(@Connection, "mdo4000_lo_direct")
  3.008  DISP         Connect the [V @LO_DevName] [V @LO_Output]
  3.008  DISP         to the DUT RF Input.
  3.008  DISP
  3.008  DISP         Connect the [V @LO_DevName] [V @LO_RefOut]
  3.008  DISP         to the DUT EXT REF IN (rear panel).

  3.009  ELSEIF       ZCMPI(@Connection, "mdo4000_splitter_epm_swpg")
  3.010  PIC          mdo4000_splitter_epm_swpg.png

  3.011  IF           BASE(@DUT_MaxFreq) >= 6e+9
  3.012  MATH         Time = "21½ minutes"
  3.013  ELSE
  3.014  MATH         Time = "16 minutes"
  3.015  ENDIF

  3.016  ELSEIF       ZCMPI(@Connection, "mdo4000_termination")
  3.017  DISP         Connect a 50 Ohm, DC to [V @DUT_MaxFreq] termination
  3.017  DISP         (of appropriate connector type) to the DUT RF INPUT.
  3.017  DISP
  3.017  DISP         Ensure that nothing else is connected to the DUT at
  3.017  DISP         this time.

  3.018  ELSEIF       ZCMPI(@Connection, "mdo4000_toi_hfsg_swpg")
  3.019  PIC          mdo4000_toi_hfsg_swpg.png

  3.020  ELSEIF       ZCMPI(@Connection, "mdo4000_toi_hfsg_swpg")
  3.021  PIC          mdo4000_toi_hfsg_swpg.png

  3.022  ELSE
  3.023  DISP         Error in subprocedure:
  3.023  DISP         [32]  Sub Tek MDO4000 Check and Display Connection
  3.023  DISP
  3.023  DISP         Cannot locate connection instructions for:
  3.023  DISP         [32]  [V @Connection]
  3.024  MATH         @Abort = 1
  3.025  END
  3.026  ENDIF

# Precedence is given to @Time if it is specified by the calling procedure.
# The variable @Time is then deleted to prevent future conflicts.
  3.027  IF           ISVAR("@Time")

# Suppress the operator intervention message if @Time is specified, but it is
# an empty string.  This may be used when re-displaying connection messages in
# the middle of a test sequence, where remaining time may not be known.
  3.028  IF           EMPTY(@Time)
  3.029  MATH         DEL("Time");  DEL("@Time")
  3.030  ELSE
  3.031  MATH         Time = @Time; DEL("@Time")
  3.032  ENDIF

  3.033  ENDIF

# Only display a prompt if Time is defined.
  3.034  IF           ISVAR("Time")
  3.035  HEAD         -2 Next Operator Intervention
  3.036  DISP         The next operator intervention will occur in
  3.036  DISP         approximately [V Time].
  3.036  DISP
  3.036  DISP         Select "Advance" to proceed.
  3.037  ENDIF

# Store connection for future checks throughout this procedure.
  3.038  MATH         @Connected = @Connection
  3.039  HEAD         -2
  3.040  ENDIF        ; NOT(ZCMPI(@Connection, @Connected))

  3.041  END
