﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO4104B (1 yr) Time Domain VER VISA /9500+4Hd
DATE:                  2018-03-16 13:13:33
AUTHOR:                Fluke
REVISION:              $Revision: 22793 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       180
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models covered:
#        DPO4104B, DPO4104B-L, MSO4104B, MSO4104B-L
#
#  Additional Equipment Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        50 Ohm feed through teminator (4 ea)
#
#  The procedure was tested using:
#        None
#
#  Average run time during testing: 40 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.001  CALL         Sub High Voltage Safety Warning

  1.002  CALL         Sub Tek MDO/MSO/DPO Signal Path Comp Cal VISA
  1.003  JMPL         END                          @Abort

  1.004  MATH         @MultiHead = 1
  1.005  JMPL         RANDOM_NOISE

  1.006  LABEL        INPUT_IMPEDANCE
  1.007  MATH         @Chan = 1
  1.008  M9500                       CH1
  1.009  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.010  MATH         @Chan = 2
  1.011  M9500                       CH2
  1.012  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.013  MATH         @Chan = 3
  1.014  M9500                       CH3
  1.015  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.016  MATH         @Chan = 4
  1.017  M9500                       CH4
  1.018  CALL         Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /9500
  1.019  JMPL         DCV_GAIN

  1.020  LABEL        DC_BALANCE
  1.021  MATH         @Chan = 1
  1.022  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.023  MATH         @Chan = 2
  1.024  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.025  MATH         @Chan = 3
  1.026  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.027  MATH         @Chan = 4
  1.028  CALL         Sub Tek DPO4000B (1 yr) DC Balance VER VISA
  1.029  JMPL         SAMPLE_RATE

  1.030  LABEL        DCV_GAIN
  1.031  MATH         @Chan = 1
  1.032  M9500                       CH1
  1.033  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.034  MATH         @Chan = 2
  1.035  M9500                       CH2
  1.036  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.037  MATH         @Chan = 3
  1.038  M9500                       CH3
  1.039  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500
  1.040  MATH         @Chan = 4
  1.041  M9500                       CH4
  1.042  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm DCV Gain VER VISA /9500

  1.043  MATH         @Chan = 1
  1.044  M9500                       CH1
  1.045  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.046  MATH         @Chan = 2
  1.047  M9500                       CH2
  1.048  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.049  MATH         @Chan = 3
  1.050  M9500                       CH3
  1.051  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500
  1.052  MATH         @Chan = 4
  1.053  M9500                       CH4
  1.054  CALL         Sub Tek DPO4000B (1 yr) 1 MOhm DCV Gain VER VISA /9500

  1.055  MATH         @Chan = 1
  1.056  M9500                       CH1
  1.057  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.058  MATH         @Chan = 2
  1.059  M9500                       CH2
  1.060  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.061  MATH         @Chan = 3
  1.062  M9500                       CH3
  1.063  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.064  MATH         @Chan = 4
  1.065  M9500                       CH4
  1.066  CALL         Sub Tek DPO4000B (1 yr) Offset Acc VER VISA /9500
  1.067  JMPL         BANDWIDTH

  1.068  LABEL        SAMPLE_RATE
  1.069  MATH         @Chan = 1
  1.070  M9500                       CH1
  1.071  CALL         Sub Tek DPO4000B (1 yr) Sample Rate VER VISA /9500
  1.072  JMPL         INPUT_IMPEDANCE

  1.073  LABEL        BANDWIDTH
  1.074  MATH         @Chan = 1
  1.075  M9500                       CH1
  1.076  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.077  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.078  MATH         @Chan = 2
  1.079  M9500                       CH2
  1.080  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.081  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.082  MATH         @Chan = 3
  1.083  M9500                       CH3
  1.084  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.085  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.086  MATH         @Chan = 4
  1.087  M9500                       CH4
  1.088  CALL         Sub Tek DPO4104B (1 yr) 50 Ohm BW VER VISA /9500+G1
  1.089  CALL         Sub Tek DPO4104B (1 yr) 1 MOhm BW VER VISA /9500+G1
  1.090  JMPL         DELTA_TIME

  1.091  LABEL        RANDOM_NOISE
  1.092  MATH         @Chan = 1
  1.093  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.094  MATH         @Chan = 2
  1.095  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.096  MATH         @Chan = 3
  1.097  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.098  MATH         @Chan = 4
  1.099  CALL         Sub Tek DPO4104B (1 yr) Random Noise VER VISA
  1.100  JMPL         DC_BALANCE

  1.101  LABEL        DELTA_TIME
  1.102  MATH         @Chan = 1
  1.103  M9500                       CH1
  1.104  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.105  MATH         @Chan = 2
  1.106  M9500                       CH2
  1.107  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.108  MATH         @Chan = 3
  1.109  M9500                       CH3
  1.110  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500
  1.111  MATH         @Chan = 4
  1.112  M9500                       CH4
  1.113  CALL         Sub Tek DPO4104B (1 yr) Delta Time VER VISA /9500

  1.114  MATH         @Chan = 1
  1.115  CALL         Sub Tek DPO4000B (1 yr) Trigger Output VISA

  1.116  LABEL        END

  1.117  END
